Skip to main content
POST
Begin owner onboarding application

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Body

application/json
affiliateId
string
required

Identifier of the affiliate this owner is onboarded under, provided by Anchorage Digital when your organization is set up. Required.

entries
object[]
required

A collection of responses for a set of defined relevant questions.

applicationType
enum<string>

Type of application: VA_INDIVIDUAL to onboard an individual virtual-account owner, VA_INSTITUTION to onboard an institutional virtual-account owner.

Available options:
VA_INSTITUTION,
VA_INDIVIDUAL
Example:

"VA_INSTITUTION"

applicationVersion
integer<int32>
default:0

Anchorage Digital version of the application. By default, this value is 0.

externalId
string

External identifier for the customer onboarding application. This value has to be unique for each customer application.

submit
boolean

Set to true to submit the application in the same call if it has no validation errors. Submitting is irreversible: the entries cannot be updated afterwards. Saves the separate call to POST /v2/onboarding/customers/{customerId}/submit.

Response

Customer ID and information of the successfully created customer onboarding application

data
CreateKYCApplicationResponseData · object
required